# pandas.DataFrame.plot.hist

`DataFrame.plot.``hist`(by=None, bins=10, **kwds)

  Histogram

  New in version 0.17.0.

  Parameters:

  by : string or sequence

  > Column in the DataFrame to group by.

  bins: integer, default 10

  > Number of histogram bins to be used

  **kwds : optional

  > Keyword arguments to pass on to `pandas.DataFrame.plot()`.

  Returns: | axes : matplotlib.AxesSubplot or np.array of them

Scroll To Top